#include <Servo.h> // Servo.h entre los signos de menor que y mayor McQueen
	
	Servo raul;

	int micPin = D3; // Pin análogo del micrófono
	int threshold = 1000; // Umbral del sonido ( ajustable)

	void setup() {
		Serial.begin(9600);
		raul.attach(D6); // Pin para controlar el servomotor

		// Puedes ajustar los límites del servomotor según sea necesario
		raul.write(0); // Posición inicial del servomotor en grados
	}

	void loop() {
		int micValue = analogRead(micPin);

		Serial.print(micValue); // Muestra el valor del micrófono para ajustable

		if (micValue > threshold) {
			// Si el valor del micrófono supera el umbral, mueve el servomotor
			raul.write(0); //Mueve el servomotor en 0 grados
			delay(500);
			raul.write(180); // Mueve el servomotor a 180 grados
			delay(500);
				}
	}